function [yearr,monthh,dayy,xx,yy,mld] = getmld(yeari,monthi)
%function [year,month,day,x,y,mld] = getmld(yeari,monthi)

[year,month,day,x,y,z,dat] = getdata(yeari,monthi,[0 200],[10]);

%identify profiles
 pc = 0;
 zz = [3:80];

for i=1:length(dat)
 if isnan(year(i))~=1
  I = find(  year==year(i) & month==month(i) & day==day(i) ...
                           &    x==x(i)      &     y==y(i) );
  if length(I)>5
    ztmp = z(I); ttmp = dat(I);
    [ztmp, iI] = unique(ztmp); ttmp = ttmp(iI);
   if ztmp(1)<3
    ttmp=interp1(ztmp,ttmp,zz);
    ttmp=ttmp - ttmp(1);
    iI=find(ttmp<=-0.5);
    if isempty(iI)~=1
     pc = pc+1;
     mld(pc)     = zz(iI(1));
       xx(pc)    = x(i);
       yy(pc)    = y(i);
      yearr(pc)  = year(i);
      monthh(pc) = month(i);
     dayy(pc)    = day(i); 
    end
   end
   year(I) = NaN;
  end
  
 end
end

I = find(isnan(mld)~=1);
if length(I)>0
 mld = mld(I);
 xx  = xx(I);
 yy  = yy(I);
 yearr = yearr(I);
 monthh = monthh(I);
 dayy = dayy(I);
else
 dislay('!!!! found nothing!!!!')
end
