
years  = [1979:1984 1998:2006];

%some figure ini
 colmap = jet;
 cax    = [0 0.1]
 caxis(cax)

 figure(1)

 for k=1:length(years)
  [year,month,day,x,y,z,dat] = getdata([years(k) years(k)], ...
                                   [7 8],[0  20],[13]);

  subplot(5,3,k);
   set(gca,'fontsize',8,'box','on','tickdir','out', ...
           'nextplot','add','xlim',[10 30],         ...
           'ylim',[53 66]);

   for i=1:length(x)
    I = round(dat(i)./cax(2)*length(colmap));
    I = min([length(colmap) max([1 I])]);
    plot(x(i),y(i),'.','color',colmap(I,:),'markersize',18)
   end 
   text(23,63,num2str(years(k)),'fontweight','bold','fontsize',18)
   ax_long('x')
   ax_lat('y')
   coast('k')
 end

  hh=axes('position',[0.13 0.02 0.7750 0.001],'xcolor',[1 1 1]*0.99, ...
          'ycolor',[1 1 1]*0.99,'ticklength',[0.001 0.001],'xtick',[])
  caxis(cax)
  cc=colorbar('south'); set(cc,'tickdir','out')
  orient tall
  print -dpsc ../../eps/ices_surf_po4.ps
