
%define search radius 
 dx = 0.25;
 dy = 0.25;

%get chlorophyll data
 [year,month,day,x,y,z,dat] = getdata([2000 2005],[0 13],[0  10],[23]);
 figure(1)
  plot(x,y,'k.')

 %[X,Y] = ginput;
 
 %stations well suited:
 X = [12.5168   13.0168];
 Y = [55.6193   56.1193];

 %X = X + [-1  1].*dx;
 %Y = Y + [-1  1].*dy;
 hold on
 plot([X(1) X(2) X(2) X(1) X(1)],[Y(1) Y(1) Y(2) Y(2) Y(1)],'k')
 hold off
 
%constrain region
 I = find(x>=X(1) & x<=X(2) & y>=Y(1) & y<=Y(2));
 year  = year(I);
 month = month(I);
 day   = day(I); 
 x     = x(I);
 y     = y(I);
 z     = z(I);
 dat   = dat(I);
 figure(2)
 plot(year+(month+day./30)./12,dat,'g.')
